Gnome2 v1.048 Perl 5 v5.28.1 amd64-freebsd

Status
Unknown
From
Slaven Rezić
Dist
Gnome2 v1.048
Platform
Perl 5 v5.28.1 amd64-freebsd
Date
2021-01-11T06:58:19
ID
634902d6-53da-11eb-aa59-517d1f24ea8f
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Brian Manning,

This is a computer-generated report for Gnome2-1.048
on perl 5.28.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, attempting to
test your distribution gave an inconclusive result.

This could be because your distribution had an error during the make/build
stage, did not define tests, tests could not be found, because your tests were
interrupted before they finished, or because the results of the tests could not
be parsed.  You may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

none provided

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/perl5.28.1p/bin/perl Makefile.PL':

Package libgnomeui-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libgnomeui-2.0.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libgnomeui-2.0', required by 'virtual:world', not found
 at Makefile.PL line 98.
*** can not find package libgnomeui-2.0 >= 2.0.0
*** check that it is properly installed and available in PKG_CONFIG_PATH
 at Makefile.PL line 98.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have   
    ------------------- ---- -------
    ExtUtils::Depends   0.20 0.405  
    ExtUtils::PkgConfig 1.03 1.16   
    Glib                1.04 1.3291 
    Gnome2::Canvas      1.00 1.006  
    Gnome2::VFS         1.00 1.084  
    Gtk2                1.00 1.24992


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    LC_ALL = de_DE.ISO8859-1
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cpansand/bin/freebsd10.3:/home/cpansand/bin/sh:/home/cpansand/bin:/usr/games:/home/cpansand/devel:/home/eserte/src/srezic-misc/scripts
    PERL = /usr/perl5.28.1p/bin/perl
    PERL5LIB = /home/cpansand/.cpan/build/2021011102/Gnome2-VFS-1.084-0/blib/arch:/home/cpansand/.cpan/build/2021011102/Gnome2-VFS-1.084-0/blib/lib
    PERL5OPT = -I/var/tmp/cpansmoker-1023/2021011020/CPAN-Reporter-lib-pgVE -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 5450
    PERL5_CPAN_IS_EXECUTING = /home/cpansand/.cpan/build/2021011102/Gnome2-1.048-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 5450
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 59247,5450
    PERLDOC = -MPod::Perldoc::ToTextOverstrike
    PERL_AUTOINSTALL = --defaultdeps
    PERL_BATCH = yes
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_CPAN_REPORTER_CONFIG = /var/tmp/cpansmoker-1023/2021011020/cpanreporter_000_config.ini
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/local/bin/zsh
    TERM = screen
    TMPDIR = /var/tmp/cpansmoker-1023/2021011020

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /usr/perl5.28.1p/bin/perl
    $UID/$EUID = 1023 / 1023
    $GID = 1023 1023
    $EGID = 1023 1023

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.28    
    CPAN::Meta          2.150010
    Cwd                 3.75    
    ExtUtils::CBuilder  0.280231
    ExtUtils::Command   7.58    
    ExtUtils::Install   2.20    
    ExtUtils::MakeMaker 7.58    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.39    
    File::Spec          3.75    
    JSON                4.02    
    JSON::PP            4.05    
    Module::Build       0.4229  
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.42    
    Test::More          1.302183
    YAML                1.29    
    YAML::Syck          1.34    
    version             0.9928  


--

Summary of my perl5 (revision 5 version 28 subversion 1) configuration:
   
  Platform:
    osname=freebsd
    osvers=10.3-release-p24
    archname=amd64-freebsd
    uname='freebsd cvrsnica-freebsd-101.herceg.de 10.3-release-p24 freebsd 10.3-release-p24 #0: wed nov 15 04:57:40 utc 2017 root@amd64-builder.daemonology.net:usrobjusrsrcsysgeneric amd64 '
    config_args='-ds -e -Dprefix=/usr/perl5.28.1p -Dcf_email=srezic@cpan.org -Doptimize=-O2 -pipe'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
    bincompat5005=undef
  Compiler:
    cc='cc'
    ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_FORTIFY_SOURCE=2'
    optimize='-O2 -pipe'
    cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion=''
    gccversion='4.2.1 Compatible FreeBSD Clang 3.4.1 (tags/RELEASE_34/dot1-final 208032)'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags ='-pthread -Wl,-E  -fstack-protector -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib /usr/include/clang/3.4.1 /usr/lib
    libs=-lpthread -lgdbm -lm -lcrypt -lutil -lc -lelf
    perllibs=-lpthread -lm -lcrypt -lutil -lc -lelf
    libc=
    so=so
    useshrplib=false
    libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags=' '
    cccdlflags='-DPIC -fPIC'
    lddlflags='-shared  -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_64_BIT_ALL
    USE_64_BIT_INT
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
  Built under freebsd
  Compiled at Dec 12 2018 23:03:41
  %ENV:
    PERL="/usr/perl5.28.1p/bin/perl"
    PERL5LIB="/home/cpansand/.cpan/build/2021011102/Gnome2-VFS-1.084-0/blib/arch:/home/cpansand/.cpan/build/2021011102/Gnome2-VFS-1.084-0/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="5450"
    PERL5_CPAN_IS_EXECUTING="/home/cpansand/.cpan/build/2021011102/Gnome2-1.048-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="5450"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="59247,5450"
    PERLDOC="-MPod::Perldoc::ToTextOverstrike"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_BATCH="yes"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_CPAN_REPORTER_CONFIG="/var/tmp/cpansmoker-1023/2021011020/cpanreporter_000_config.ini"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /home/cpansand/.cpan/build/2021011102/Gnome2-VFS-1.084-0/blib/arch
    /home/cpansand/.cpan/build/2021011102/Gnome2-VFS-1.084-0/blib/lib
    /usr/perl5.28.1p/lib/site_perl/5.28.1/amd64-freebsd
    /usr/perl5.28.1p/lib/site_perl/5.28.1
    /usr/perl5.28.1p/lib/5.28.1/amd64-freebsd
    /usr/perl5.28.1p/lib/5.28.1
    .